import matplotlib.pyplot as plt
numargs = weibull_max.numargs
[ c ] = [0.9,] * numargs
rv = weibull_max(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = weibull_max.cdf(x, c)
h = plt.semilogy(np.abs(x - weibull_max.ppf(prb, c)) + 1e-20)

# Random number generation

R = weibull_max.rvs(c, size=100)
